#!/usr/bin/env python

from setuptools import setup, find_packages

setup(
    name="pronoun-o-matic",
    version="1.0",
    # Modules to import from other scripts:
    packages=find_packages() + ["pronounomatic.core", "pronounomatic.plugins"], 
    package_dir={"pronounomatic": "src"},
    entry_points={
        "console_scripts": ["pronounomatic=pronounomatic.core.app:main"],
        "pronounomatic.plugins": [
            "log = pronounomatic.plugins.log_plugin:LogPlugin",
            "mastodon = pronounomatic.plugins.mastodon:MastodonPlugin",
            "discord = pronounomatic.plugins.discord:DiscordPlugin",
            "gitea = pronounomatic.plugins.gitea:GiteaPlugin",
            "github = pronounomatic.plugins.github:GithubPlugin",
        ],
    },
)
